Package org.eclipse.viatra.query.runtime.matchers.psystem.basicenumerables

## Class ConstantValue

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint
    - - org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint<java.lang.Object>
      - - org.eclipse.viatra.query.runtime.matchers.psystem.basicenumerables.ConstantValue

- All Implemented Interfaces:
    `PConstraint`, `PTraceable`

      public class ConstantValue
      extends KeyedEnumerablePConstraint<java.lang.Object>

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint

      `supplierKey`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint

      `variablesTuple`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `pBody`

    - ### Fields inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.PConstraint

      `COMPARE_BY_MONOTONOUS_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstantValue​(PBody pBody, PVariable variable, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.util.Set<PVariable>,​java.util.Set<PVariable>>` | `getFunctionalDependencies​(IQueryMetaContext context)` | A (preferably minimal) cover of known functional dependencies between variables.
    `PVariable` | `getVariable()` |
    `protected java.lang.String` | `keyToString()` |

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint

      `getSupplierKey, toStringRestRest`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint

      `doReplaceVariable, getDeducedVariables, getVariableInTuple, getVariablesTuple, toStringRest`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `checkSanity, delete, getAffectedVariables, getBody, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantValue

          public ConstantValue​(PBody pBody,
                               PVariable variable,
                               java.lang.Object value)

  - ### Method Detail

    - #### keyToString

          protected java.lang.String keyToString()

      Specified by:
        `keyToString` in class `KeyedEnumerablePConstraint<java.lang.Object>`

    - #### getVariable

          public PVariable getVariable()

      Since:
        1.7

    - #### getFunctionalDependencies

          public java.util.Map<java.util.Set<PVariable>,​java.util.Set<PVariable>> getFunctionalDependencies​(IQueryMetaContext context)

      Description copied from interface: `PConstraint`
      A (preferably minimal) cover of known functional dependencies between variables.
      Specified by:
        `getFunctionalDependencies` in interface `PConstraint`
      Overrides:
        `getFunctionalDependencies` in class `BasePConstraint`
      Returns:
        non-trivial functional dependencies in the form of {variables} --> {variables}, where dependencies with the same lhs are unified.